package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ListTemplateParams implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "模板名字")
    private String name;

    @ApiModelProperty(value = "模板分类")
    private Long category;

    @ApiModelProperty(value = "审核状态（1未审核，2审核通过3审核未通过）")
    private Integer reviewStatus;

    private String tenantId;

    @ApiModelProperty(value = "启用状态 0是禁用 1是启用")
    private Integer status;
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    private Integer page = 1;
    private Integer size = 10;
}