package org.springblade.visual.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualDataTemplateCategory;

import java.util.List;

@Mapper
public interface VisualDataTemplateCategoryMapper extends BaseMapper<VisualDataTemplateCategory> {



    /**
     * 所有中台目录
     */
    @InterceptorIgnore(tenantLine = "true")
    @Select("<script>" +
            "SELECT * from visual_data_template_category WHERE tenant_id is null " +
            "<if test='name != null'> AND name like CONCAT('%', #{name}, '%') </if>" +
            "</script>")
    List<VisualDataTemplateCategory> allMcpCategory(String name);

}
