/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.bi.client.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 数据集查询结果
 *
 * @author wookvn
 * @datetime 2024-10-22 16:32:04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QueryCubeModel implements Serializable {

    /**
     * 数据查询结果
     */
    private List<Map<String, Object>> dataList;

    /**
     * columnId与别名的对照关系
     */
    private Map<Integer, String> columnDict;
}
