package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PageComponentTemplateParams implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "组件模板名字")
    private String name;

    @ApiModelProperty(value = "目录id")
    private Long category;

    private String tenantId;

    @ApiModelProperty(value = "审核状态（0未审核，1审核通过2审核未通过）")
    private Integer reviewStatus;

    @ApiModelProperty(value = "启用状态 0是禁用 1是启用")
    private Integer status;
    @ApiModelProperty(value = "创建人")
    private String createUser;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    private Integer page = 1;
    private Integer size = 10;
}