package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class VisualDataPageParams {


    @ApiModelProperty("大屏名称")
    private String title;
    @ApiModelProperty("租户id")
    private String tenantId;
    @ApiModelProperty("创建人id")
    private Long createUserId;
    @ApiModelProperty(value = "是否为自主报表 1：是，0：否")
    private Integer visualDataType;
    @ApiModelProperty("0禁用 1启用")
    private Integer status;
    @ApiModelProperty("审核状态 0未审核 1审核通过 2驳回")
    private Integer reviewStatus;
    private Integer page = 1;
    private Integer size = 10;
}
