/**
 *
 */
package org.springblade.bi.client.form;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;


@Data
@ToString(includeFieldNames = false)
public class UpdateTableForm implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 数据集ID
     */
    private Integer cubeId;

    /**
     * 查询条件
     */
    private List<CubeBrowserSqlParam> paramList;

    /**
     * sql语句中的set 数值
     */
    private Map<Integer,Object> setMap;
}
